[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdActns' (#lcl)

# THintAction

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

THintAction - standard action for dealing with requests for a Hint.

## Declaration

Source position: stdactns.pas line 30

`type THintAction = class(TCustomHintAction)`

## Inheritance

`THintAction` |  | THintAction - standard action for dealing with requests for a Hint.
`TCustomHintAction` |  | Represents a standard action used to get a Hint value.
`TCustomAction` |  | TCustomAction is the ancestor class for TAction.
`TContainedAction` |  | Implements an Action class which has a category and parent action list.
`TBasicAction`
?
`TObject`

## See also

TCustomHintAction |  | Represents a standard action used to get a Hint value.